Bug 109858 - Priorities higher than 99 accepted but links are not recognized
Summary: Priorities higher than 99 accepted but links are not recognized
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-12 15:03 UTC by Carmine Greco
Modified: 2014-03-17 02:40 UTC (History)
1 user (show)

Fixed In Version: 1.3.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 21:26:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carmine Greco 2003-11-12 15:03:46 UTC
Description of problem:
Chkconfig will create the symbolic links during and "add" for an init
script even if the priorities are above 99.  However, the "list"
option does not recognize these links.

Version-Release number of selected component (if applicable):
1.3.6-1

How reproducible:
Every time.

Steps to Reproduce:
1. Use a chkconfig comment like "# chkconfig: 345 999 999" in an init
script

2. Run "chkconfig --add" for the init script

3. Run "chkconfig --list" for the init script
  
Actual results:
service xxxxd supports chkconfig, but is not referenced in any
runlevel (run 'chkconfig --add xxxxd')

Expected results:
>chkconfig --list xxxxd
xxxxd       0:off   1:off   2:off   3:off   4:off   5:off   6:off

Additional info:

Comment 1 Bill Nottingham 2003-11-12 20:51:40 UTC
Priorities greater than 99 are invalid. Does it actually create
S9999/K9999 links?

Comment 2 Carmine Greco 2003-11-12 21:00:13 UTC
Yes it does.  Sorry for not being clear.  chkconfig creates the links
during "--add" but does not recognize them during "--list".  For
example, if the init script has "# chkconfig: 345 999 999" then the
following links are created

/etc/rc.d/rc0.d/K999xxxxd
/etc/rc.d/rc1.d/K999xxxxd
/etc/rc.d/rc2.d/K999xxxxd
/etc/rc.d/rc3.d/S999xxxxd
/etc/rc.d/rc4.d/S999xxxxd
/etc/rc.d/rc5.d/S999xxxxd
/etc/rc.d/rc6.d/K999xxxxd

However, even though chkconfig created the links, "--list" displays
the error message 

service xxxxd supports chkconfig, but is not referenced in any
runlevel (run 'chkconfig --add xxxxd')

Comment 3 Bill Nottingham 2005-02-02 21:26:32 UTC
Fixed to error out at the --add level in 1.3.14-1.


Note You need to log in before you can comment on or make changes to this bug.